import { Config } from "../model/model";
/**
 * An interface model for Parameter Config
 */
export interface ParameterConfig extends Config {
    readonly parameters: Record<string, string | number | boolean>;
}
export declare class EmptyParameterConfig implements ParameterConfig {
    readonly parameters: Record<string, string | number | boolean>;
    get(key: string, defaultValue: string): string;
    get(key: string, defaultValue: number): number;
    get(key: string, defaultValue: boolean): boolean;
}
export declare class DefaultParameterConfig implements ParameterConfig {
    readonly parameters: Record<string, string | number | boolean>;
    constructor(parameters: Record<string, string | number | boolean>);
    get(key: string, defaultValue: string): string;
    get(key: string, defaultValue: number): number;
    get(key: string, defaultValue: boolean): boolean;
}
