import { Page } from "../page/Page";
import { PageListener } from "../page/PageListener";
import { PageManager } from "../page/PageManager";
import { UserManager } from "../user/UserManager";
import { Lifecycle } from "../lifecycle/Lifecycle";
import { LifecycleChangeListener } from "../lifecycle/LifecycleChangeListener";
import { EngagementListener } from "./EngagementListener";
export declare class EngagementManager implements LifecycleChangeListener, PageListener {
    private readonly userManager;
    private readonly pageManager;
    private readonly minimumEngagementDurationMillis;
    private readonly listeners;
    private _lastEngagementTime;
    constructor(userManager: UserManager, pageManager: PageManager, minimumEngagementDurationMillis: number);
    get lastEngagementTime(): number | null;
    startEngagement(timestamp: number): void;
    endEngagement(page: Page, timestamp: number): void;
    private publish;
    onPageStarted(_: Page, timestamp: number): void;
    onPageEnded(page: Page, timestamp: number): void;
    onLifecycleChanged(lifecycle: Lifecycle, timestamp: number): void;
    addListener(listener: EngagementListener): void;
}
