import { Experiment } from "../../../model/model";
import Evaluator, { EvaluatorRequest, EvaluatorContext, EvaluatorEvaluation } from "../Evaluator";
import ExperimentEvaluation from "./ExperimentEvaluation";
export default abstract class ExperimentContextualEvaluator<Request extends EvaluatorRequest = EvaluatorRequest> {
    protected readonly evaluator: Evaluator;
    constructor(evaluator: Evaluator);
    private evaluateInternal;
    abstract decorate(request: Request, context: EvaluatorContext, evaluation: EvaluatorEvaluation): EvaluatorEvaluation;
    evaluate(request: Request, context: EvaluatorContext, experiment: Experiment): ExperimentEvaluation;
}
