import EvaluationFlowFactory from "../../flow/EvaluationFlowFactory";
import ContextualEvaluator from "../ContextualEvaluator";
import ExperimentRequest from "./ExperimentRequest";
import ExperimentEvaluation from "./ExperimentEvaluation";
import { EvaluatorContext, EvaluatorRequest } from "../Evaluator";
export default class ExperimentEvaluator extends ContextualEvaluator<ExperimentRequest, ExperimentEvaluation> {
    private readonly evaluationFlowFactory;
    constructor(evaluationFlowFactory: EvaluationFlowFactory);
    supports(request: EvaluatorRequest): request is ExperimentRequest;
    protected evaluateInternal(request: ExperimentRequest, context: EvaluatorContext): ExperimentEvaluation;
}
