import EvaluationFlow from "../../flow/EvaluationFlow";
import ExperimentTargetDeterminer from "../../target/ExperimentTargetDeterminer";
import ActionResolver from "../../action/ActionResolver";
import TargetRuleDeterminer from "../../target/TargetRuleDeterminer";
import OverrideResolver from "../../target/OverrideResolver";
import ContainerResolver from "../../container/ContainerResolver";
import ExperimentRequest from "./ExperimentRequest";
import { EvaluatorContext } from "../Evaluator";
import ExperimentEvaluation from "./ExperimentEvaluation";
import FlowEvaluator from "../../flow/FlowEvaluator";
export declare type ExperimentFlow = EvaluationFlow<ExperimentRequest, ExperimentEvaluation>;
export default interface ExperimentFlowEvaluator extends FlowEvaluator<ExperimentRequest, ExperimentEvaluation> {
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
export declare class OverrideEvaluator implements ExperimentFlowEvaluator {
    private readonly overrideResolver;
    constructor(overrideResolver: OverrideResolver);
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
export declare class DraftEvaluator implements ExperimentFlowEvaluator {
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
export declare class PausedEvaluator implements ExperimentFlowEvaluator {
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
export declare class CompletedEvaluator implements ExperimentFlowEvaluator {
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
export declare class ExperimentTargetEvaluator implements ExperimentFlowEvaluator {
    private readonly experimentTargetDeterminer;
    constructor(experimentTargetDeterminer: ExperimentTargetDeterminer);
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
export declare class TrafficAllocateEvaluator implements ExperimentFlowEvaluator {
    private readonly actionResolver;
    constructor(actionResolver: ActionResolver);
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
export declare class TargetRuleEvaluator implements ExperimentFlowEvaluator {
    private readonly targetRuleDeterminer;
    private readonly actionResolver;
    constructor(targetRuleDeterminer: TargetRuleDeterminer, actionResolver: ActionResolver);
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
export declare class DefaultRuleEvaluator implements ExperimentFlowEvaluator {
    private readonly actionResolver;
    constructor(actionResolver: ActionResolver);
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
export declare class ContainerEvaluator implements ExperimentFlowEvaluator {
    private readonly containerResolver;
    constructor(containerResolver: ContainerResolver);
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
export declare class IdentifierEvaluator implements ExperimentFlowEvaluator {
    evaluate(request: ExperimentRequest, context: EvaluatorContext, nextFlow: ExperimentFlow): ExperimentEvaluation | undefined;
}
