import EvaluationFlow from "../../flow/EvaluationFlow";
import { InAppMessageRequest } from "./InAppMessageRequest";
import { InAppMessageEvaluation } from "./InAppMessageEvaluation";
import FlowEvaluator from "../../flow/FlowEvaluator";
import { EvaluatorContext } from "../Evaluator";
import { InAppMessageFrequencyCapMatcher, InAppMessageMatcher } from "../../target/InAppMessageMatcher";
import InAppMessageResolver from "../../target/InAppMessageResolver";
export declare type InAppMessageFlow = EvaluationFlow<InAppMessageRequest, InAppMessageEvaluation>;
export default interface InAppMessageFlowEvaluator extends FlowEvaluator<InAppMessageRequest, InAppMessageEvaluation> {
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
export declare class PlatformInAppMessageFlowEvaluator implements InAppMessageFlowEvaluator {
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
export declare class OverrideInAppMessageFlowEvaluator implements InAppMessageFlowEvaluator {
    private readonly userOverrideMatcher;
    private readonly inAppMessageResolver;
    constructor(userOverrideMatcher: InAppMessageMatcher, inAppMessageResolver: InAppMessageResolver);
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
export declare class DraftInAppMessageFlowEvaluator implements InAppMessageFlowEvaluator {
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
export declare class PauseInAppMessageFlowEvaluator implements InAppMessageFlowEvaluator {
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
export declare class PeriodInAppMessageFlowEvaluator implements InAppMessageFlowEvaluator {
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
export declare class HiddenInAppMessageFlowEvaluator implements InAppMessageFlowEvaluator {
    private readonly hiddenMatcher;
    constructor(hiddenMatcher: InAppMessageMatcher);
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
export declare class TargetInAppMessageFlowEvaluator implements InAppMessageFlowEvaluator {
    private readonly targetMatcher;
    constructor(targetMatcher: InAppMessageMatcher);
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
export declare class FrequencyInAppMessageFlowEvaluator implements InAppMessageFlowEvaluator {
    private readonly frequencyCapMatcher;
    constructor(frequencyCapMatcher: InAppMessageFrequencyCapMatcher);
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
export declare class ExperimentInAppMessageFlowEvaluator implements InAppMessageFlowEvaluator {
    private readonly inAppMessageResolver;
    constructor(inAppMessageResolver: InAppMessageResolver);
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
export declare class MessageResolutionInAppMessageFlowEvaluator implements InAppMessageFlowEvaluator {
    private readonly inAppMessageResolver;
    constructor(inAppMessageResolver: InAppMessageResolver);
    evaluate(request: InAppMessageRequest, context: EvaluatorContext, nextFlow: InAppMessageFlow): InAppMessageEvaluation | undefined;
}
