import { EvaluatorContext, EvaluatorEvaluation } from "../Evaluator";
import { HackleValue, Long, Properties, RemoteConfigParameter } from "../../../model/model";
import RemoteConfigRequest from "./RemoteConfigRequest";
export default class RemoteConfigEvaluation implements EvaluatorEvaluation {
    readonly reason: string;
    readonly targetEvaluations: EvaluatorEvaluation[];
    readonly parameter: RemoteConfigParameter;
    readonly valueId: Long | undefined;
    readonly value: HackleValue;
    readonly properties: Properties;
    constructor(reason: string, targetEvaluations: EvaluatorEvaluation[], parameter: RemoteConfigParameter, valueId: Long | undefined, value: HackleValue, properties: Properties);
    static of(request: RemoteConfigRequest, context: EvaluatorContext, valueId: Long | undefined, value: HackleValue, reason: string, properties: Properties): RemoteConfigEvaluation;
    static ofDefault(request: RemoteConfigRequest, context: EvaluatorContext, reason: string, properties: Properties): RemoteConfigEvaluation;
}
