import { EvaluatorContext, EvaluatorEvaluation, EvaluatorRequest } from "../evalautor/Evaluator";
import FlowEvaluator from "./FlowEvaluator";
export default class EvaluationFlow<Request extends EvaluatorRequest, Evaluation extends EvaluatorEvaluation> {
    readonly flowEvaluator: FlowEvaluator<Request, Evaluation> | undefined;
    readonly nextFlow: EvaluationFlow<Request, Evaluation> | undefined;
    private constructor();
    evaluate(request: Request, context: EvaluatorContext): Evaluation | undefined;
    static end<Request extends EvaluatorRequest, Evaluation extends EvaluatorEvaluation>(): EvaluationFlow<Request, Evaluation>;
    static decision<Request extends EvaluatorRequest, Evaluation extends EvaluatorEvaluation>(flowEvaluator: FlowEvaluator<Request, Evaluation>, nextFlow: EvaluationFlow<Request, Evaluation>): EvaluationFlow<Request, Evaluation>;
    static of<Request extends EvaluatorRequest, Evaluation extends EvaluatorEvaluation>(...evaluators: FlowEvaluator<Request, Evaluation>[]): EvaluationFlow<Request, Evaluation>;
}
