import { ExperimentFlow } from "../evalautor/experiment/ExperimentFlowEvaluator";
import { ExperimentType } from "../../model/model";
import { ManualOverrideStorage } from "../target/ManualOverrideStorage";
import Evaluator from "../evalautor/Evaluator";
import { InAppMessageFlow } from "../evalautor/iam/InAppMessageFlowEvaluator";
import InAppMessageHiddenStorage from "../target/InAppMessageHiddenStorage";
import RemoteConfigParameterTargetRuleDeterminer from "../target/RemoteConfigParameterTargetRuleDeterminer";
import { Clock } from "../../util/TimeUtil";
import { InAppMessageImpressionStorage } from "../../../../hackle/iam/storage/InAppMessageImpressionStorage";
export default class EvaluationFlowFactory {
    private readonly abTestFlow;
    private readonly featureFlagFlow;
    private readonly inAppMessageFlow;
    readonly remoteConfigParameterTargetRuleDeterminer: RemoteConfigParameterTargetRuleDeterminer;
    constructor(evaluator: Evaluator, manualOverrideStorage: ManualOverrideStorage, inAppMessageHiddenStorage: InAppMessageHiddenStorage, inAppMessageImpressionStorage: InAppMessageImpressionStorage, clock: Clock);
    getExperimentFlow(experimentType: ExperimentType): ExperimentFlow;
    getInAppMessageFlow(): InAppMessageFlow;
}
