import { MatchOperator } from "../../model/model";
import ValueMatcher from "./ValueMatcher";
export default interface OperatorMatcher {
    matches(valueMatcher: ValueMatcher, userValue: any, matchValues: any[]): boolean;
}
export declare class InMatcher implements OperatorMatcher {
    matches(valueMatcher: ValueMatcher, userValue: any, matchValues: any[]): boolean;
}
export declare class ContainsMatcher implements OperatorMatcher {
    matches(valueMatcher: ValueMatcher, userValue: any, matchValues: any[]): boolean;
}
export declare class StartsWithMatcher implements OperatorMatcher {
    matches(valueMatcher: ValueMatcher, userValue: any, matchValues: any[]): boolean;
}
export declare class EndsWithMatcher implements OperatorMatcher {
    matches(valueMatcher: ValueMatcher, userValue: any, matchValues: any[]): boolean;
}
export declare class GreaterThanMatcher implements OperatorMatcher {
    matches(valueMatcher: ValueMatcher, userValue: any, matchValues: any[]): boolean;
}
export declare class GreaterThanOrEqualToMatcher implements OperatorMatcher {
    matches(valueMatcher: ValueMatcher, userValue: any, matchValues: any[]): boolean;
}
export declare class LessThanMatcher implements OperatorMatcher {
    matches(valueMatcher: ValueMatcher, userValue: any, matchValues: any[]): boolean;
}
export declare class LessThanOrEqualToMatcher implements OperatorMatcher {
    matches(valueMatcher: ValueMatcher, userValue: any, matchValues: any[]): boolean;
}
export declare class ExistsMatcher implements OperatorMatcher {
    matches(valueMatcher: ValueMatcher, userValue: any, matchValues: any[]): boolean;
}
export declare class OperatorMatcherFactory {
    private static IN_MATCHER;
    private static CONTAINS_MATCHER;
    private static STARTS_WITH_MATCHER;
    private static ENDS_WITH_MATCHER;
    private static GT_MATCHER;
    private static GTE_MATCHER;
    private static LT_MATCHER;
    private static LTE_MATCHER;
    private static EXISTS_MATCHER;
    getMatcher(operator: MatchOperator): OperatorMatcher;
}
