import { MatchValueType } from "../../model/model";
export default interface ValueMatcher {
    inMatches(userValue: any, matchValue: any): boolean;
    containsMatches(userValue: any, matchValue: any): boolean;
    startsWithMatches(userValue: any, matchValue: any): boolean;
    endsWithMatches(userValue: any, matchValue: any): boolean;
    greaterThanMatches(userValue: any, matchValue: any): boolean;
    greaterThanOrEqualMatches(userValue: any, matchValue: any): boolean;
    lessThanMatches(userValue: any, matchValue: any): boolean;
    lessThanOrEqualMatches(userValue: any, matchValue: any): boolean;
}
export declare class StringMatcher implements ValueMatcher {
    inMatches(userValue: any, matchValue: any): boolean;
    containsMatches(userValue: any, matchValue: any): boolean;
    startsWithMatches(userValue: any, matchValue: any): boolean;
    endsWithMatches(userValue: any, matchValue: any): boolean;
    greaterThanMatches(userValue: any, matchValue: any): boolean;
    greaterThanOrEqualMatches(userValue: any, matchValue: any): boolean;
    lessThanMatches(userValue: any, matchValue: any): boolean;
    lessThanOrEqualMatches(userValue: any, matchValue: any): boolean;
}
export declare class NumberMatcher implements ValueMatcher {
    inMatches(userValue: any, matchValue: any): boolean;
    containsMatches(userValue: any, matchValue: any): boolean;
    startsWithMatches(userValue: any, matchValue: any): boolean;
    endsWithMatches(userValue: any, matchValue: any): boolean;
    greaterThanMatches(userValue: any, matchValue: any): boolean;
    greaterThanOrEqualMatches(userValue: any, matchValue: any): boolean;
    lessThanMatches(userValue: any, matchValue: any): boolean;
    lessThanOrEqualMatches(userValue: any, matchValue: any): boolean;
}
export declare class BooleanMatcher implements ValueMatcher {
    inMatches(userValue: any, matchValue: any): boolean;
    containsMatches(userValue: any, matchValue: any): boolean;
    startsWithMatches(userValue: any, matchValue: any): boolean;
    endsWithMatches(userValue: any, matchValue: any): boolean;
    greaterThanMatches(userValue: any, matchValue: any): boolean;
    greaterThanOrEqualMatches(userValue: any, matchValue: any): boolean;
    lessThanMatches(userValue: any, matchValue: any): boolean;
    lessThanOrEqualMatches(userValue: any, matchValue: any): boolean;
}
export declare class VersionMatcher implements ValueMatcher {
    inMatches(userValue: any, matchValue: any): boolean;
    containsMatches(userValue: any, matchValue: any): boolean;
    startsWithMatches(userValue: any, matchValue: any): boolean;
    endsWithMatches(userValue: any, matchValue: any): boolean;
    greaterThanMatches(userValue: any, matchValue: any): boolean;
    greaterThanOrEqualMatches(userValue: any, matchValue: any): boolean;
    lessThanMatches(userValue: any, matchValue: any): boolean;
    lessThanOrEqualMatches(userValue: any, matchValue: any): boolean;
}
export declare class UrlMatcher implements ValueMatcher {
    inMatches(userValue: any, matchValue: any): boolean;
    containsMatches(userValue: any, matchValue: any): boolean;
    startsWithMatches(userValue: any, matchValue: any): boolean;
    endsWithMatches(userValue: any, matchValue: any): boolean;
    greaterThanMatches(userValue: any, matchValue: any): boolean;
    greaterThanOrEqualMatches(userValue: any, matchValue: any): boolean;
    lessThanMatches(userValue: any, matchValue: any): boolean;
    lessThanOrEqualMatches(userValue: any, matchValue: any): boolean;
}
export declare class NullMatcher implements ValueMatcher {
    inMatches(userValue: any, matchValue: any): boolean;
    containsMatches(userValue: any, matchValue: any): boolean;
    startsWithMatches(userValue: any, matchValue: any): boolean;
    endsWithMatches(userValue: any, matchValue: any): boolean;
    greaterThanMatches(userValue: any, matchValue: any): boolean;
    greaterThanOrEqualMatches(userValue: any, matchValue: any): boolean;
    lessThanMatches(userValue: any, matchValue: any): boolean;
    lessThanOrEqualMatches(userValue: any, matchValue: any): boolean;
}
export declare class ValueMatcherFactory {
    private static STRING_MATCHER;
    private static NUMBER_MATCHER;
    private static BOOLEAN_MATCHER;
    private static VERSION_MATCHER;
    private static URL_MATCHER;
    private static NULL_MATCHER;
    getMatcher(valueType: MatchValueType): ValueMatcher;
}
