import { InAppMessageRequest } from "../evalautor/iam/InAppMessageRequest";
import Evaluator, { EvaluatorContext } from "../evalautor/Evaluator";
import { InAppMessageContextMessage } from "../../model/model";
import ExperimentEvaluation from "../evalautor/experiment/ExperimentEvaluation";
import ExperimentContextualEvaluator from "../evalautor/experiment/ExperimentContextualEvaluator";
export default class InAppMessageResolver {
    private readonly experimentEvaluator;
    private readonly messageSelector;
    constructor(experimentEvaluator: InAppMessageExperimentEvaluator, messageSelector: InAppMessageSelector);
    resolve(request: InAppMessageRequest, context: EvaluatorContext): InAppMessageContextMessage;
    private experiment;
}
export declare class InAppMessageSelector {
    select(inAppMessage: InAppMessageRequest["inAppMessage"], condition: (message: InAppMessageContextMessage) => boolean): InAppMessageContextMessage;
}
export declare class InAppMessageExperimentEvaluator extends ExperimentContextualEvaluator<InAppMessageRequest> {
    protected readonly evaluator: Evaluator;
    constructor(evaluator: Evaluator);
    decorate(request: InAppMessageRequest, context: EvaluatorContext, evaluation: ExperimentEvaluation): ExperimentEvaluation;
}
