import { Experiment, HackleUser, Long, Variation } from "../../model/model";
import { ListStorage } from "../../storage/Storage";
export interface ManualOverrideStorage {
    getVariation(experiment: Experiment, user: HackleUser): Variation | undefined;
}
export declare class DelegatingManualOverrideStorage implements ManualOverrideStorage {
    private storages;
    constructor(storages: ManualOverrideStorage[]);
    getVariation(experiment: Experiment, user: HackleUser): Variation | undefined;
}
export declare class HackleUserManualOverrideStorage implements ManualOverrideStorage {
    private listStorage;
    constructor(listStorage: ListStorage);
    getVariation(experiment: Experiment, user: HackleUser): Variation | undefined;
    get(experiment: Experiment): Long | undefined;
    getAll(): Map<Long, Long>;
    set(experiment: Experiment, variationId: Long): void;
    remove(experiment: Experiment): void;
    clear(): void;
}
