import { Double, Identifiers, Long, Properties } from "../model/model";
import UserEvent from "./UserEvent";
export interface EventPayloadDto {
    exposureEvents: ExposureEventDto[];
    trackEvents: TrackEventDto[];
    remoteConfigEvents: RemoteConfigEventDto[];
}
export interface EventDto {
    insertId: string;
    timestamp: Long;
    userId?: string;
    identifiers: Identifiers;
    userProperties: Properties;
    hackleProperties: Properties;
}
export interface ExposureEventDto extends EventDto {
    experimentId: Long;
    experimentKey: Long;
    experimentType: string;
    experimentVersion: Long;
    variationId?: Long;
    variationKey: string;
    decisionReason: string;
    properties: Properties;
}
export interface TrackEventDto extends EventDto {
    eventTypeId: Long;
    eventTypeKey: string;
    value: Double;
    properties: Properties;
}
export interface RemoteConfigEventDto extends EventDto {
    parameterId: Long;
    parameterKey: string;
    parameterType: string;
    decisionReason: string;
    valueId?: Long;
    properties: Properties;
}
export declare function toPayload(events: Array<UserEvent | EventDto>): EventPayloadDto;
