import InvocationResponseResolver from "./InvocationResponseResolver";
export interface InvocationRequestDto {
    _hackle: {
        command: string;
        parameters?: Record<string, any>;
    };
}
export interface InvocationResponseDto<T = any> {
    success: boolean;
    message: string;
    data?: T;
}
export interface HackleAppInvocator {
    invoke<R>(invocationRequestDto: InvocationRequestDto): InvocationResponseDto<R>;
}
export declare class PromptAppInvocator implements HackleAppInvocator {
    private readonly invocationResponseResolver;
    constructor(invocationResponseResolver: InvocationResponseResolver);
    invoke<R>(invocationRequestDto: InvocationRequestDto): InvocationResponseDto<R>;
}
export declare class FunctionAppInvocator implements HackleAppInvocator {
    private readonly invocationResponseResolver;
    constructor(invocationResponseResolver: InvocationResponseResolver);
    invoke<R>(invocationRequestDto: InvocationRequestDto): InvocationResponseDto<R>;
}
