import { Counter } from "./metrics/Counter";
export declare const logLevels: {
    DISABLE: number;
    ERROR: number;
    WARN: number;
    INFO: number;
    DEBUG: number;
};
export default class Logger {
    private static logLevel;
    private static counters;
    static setLogLevel(logLevel?: number): void;
    static initCounter(resolveCounter: (logLevel: string) => Counter): void;
    static log: {
        error: (message: string | Error) => void;
        warn: (message: string) => void;
        info: (message: string) => void;
        debug: (message: string) => void;
    };
    private static _log;
    static increment(level: keyof typeof logLevels): void;
}
