import { Metric } from "./Metric";
import { MetricRegistry } from "./MetricRegistry";
export interface Counter extends Metric {
    count(): number;
    increment(delta?: number): void;
}
export declare class CounterBuilder {
    private name;
    private _tags;
    constructor(name: string);
    tags(tags: {
        [key: string]: string;
    }): this;
    tag(key: string, value: string): this;
    register(registry: MetricRegistry): Counter;
}
export declare function isCounterMetric(metric: Metric): metric is Counter;
