import { Counter } from "./Counter";
import { Metric, MetricId } from "./Metric";
import { Timer } from "./Timer";
export declare abstract class MetricRegistry {
    id: string;
    name: string;
    private _metrics;
    get metrics(): Metric[];
    registerCounter(id: MetricId): Counter;
    registerTimer(id: MetricId): Timer;
    counter(name: string, tags?: {
        [key: string]: string;
    }): Counter;
    timer(name: string, tags?: {
        [key: string]: string;
    }): Timer;
    abstract createCounter(id: MetricId): Counter;
    abstract createTimer(id: MetricId): Timer;
    private registerMetricIfNecessary;
    private getOrCreateMetric;
    close(): void;
}
