import UserEvent from "../event/UserEvent";
import { User } from "../model/model";
import { SessionListener } from "./SessionListener";
export interface SessionManager {
    readonly sessionId: string;
    readonly currentSessionId: string | null;
    readonly lastEventTime: number | null;
    addListener(listener: SessionListener): void;
    startNewSession(previousUser: User | null, user: User, timestamp: number): string;
    startNewSessionIfNeeded(user: User, timestamp: number): string;
    updateLastEventTime(timestamp: number): void;
}
export declare const decorateEventWithSession: <T extends UserEvent>(event: T, sessionManager: SessionManager) => T;
