import { Cohort, Identifier, User } from "../model/model";
import { Comparable } from "../util/Comparable";
import { UserCohortsResponseDto } from "./dto";
export interface UserCohort {
    readonly identifier: Identifier;
    readonly cohorts: Cohort[];
}
export declare class UserCohorts {
    private readonly cohorts;
    constructor(cohorts: Comparable<Identifier, UserCohort>);
    static builder(): UserCohortsBuilder;
    static empty(): UserCohorts;
    static from(cohorts: Comparable<Identifier, UserCohort>): UserCohorts;
    static fromDto(dto: UserCohortsResponseDto): UserCohorts;
    get rawCohorts(): Cohort[];
    get(identifier: Identifier): UserCohort | undefined;
    filterBy(user: User): UserCohorts;
    asArray(): UserCohort[];
    asComparable(): Comparable<Identifier, UserCohort>;
    toBuilder(): UserCohortsBuilder;
}
export declare class UserCohortsBuilder {
    private readonly cohorts;
    constructor(cohorts?: UserCohorts);
    put(cohort: UserCohort): UserCohortsBuilder;
    putAll(cohorts: UserCohorts): UserCohortsBuilder;
    build(): UserCohorts;
}
