import HackleCore from "../../HackleCore";
import { HackleUserManualOverrideStorage } from "../evaluation/target/ManualOverrideStorage";
import { Decision, Experiment, FeatureFlagDecision, HackleUser, List, Long } from "../model/model";
import { UserManager } from "./UserManager";
export interface HackleUserExplorerBase {
    currentUser(): HackleUser;
    getAbTestDecisions(): List<[Experiment, Decision]>;
    getAbTestOverrides(): Map<Long, Long>;
    setAbTestOverride(experiment: Experiment, variationId: Long): void;
    resetAbTestOverride(experiment: Experiment): void;
    resetAllAbTestOverride(): void;
    getFeatureFlagDecisions(): List<[Experiment, FeatureFlagDecision]>;
    getFeatureFlagOverrides(): Map<Long, Long>;
    setFeatureFlagOverride(experiment: Experiment, variationId: Long): void;
    resetFeatureFlagOverride(experiment: Experiment): void;
    resetAllFeatureFlagOverride(): void;
}
export declare class HackleUserExplorerImpl implements HackleUserExplorerBase {
    private core;
    private userManager;
    private abOverrideStorage;
    private ffOverrideStorage;
    constructor(core: HackleCore, userManager: UserManager, abOverrideStorage: HackleUserManualOverrideStorage, ffOverrideStorage: HackleUserManualOverrideStorage);
    currentUser(): HackleUser;
    getAbTestDecisions(): List<[Experiment, Decision]>;
    getAbTestOverrides(): Map<number, number>;
    setAbTestOverride(experiment: Experiment, variationId: number): void;
    resetAbTestOverride(experiment: Experiment): void;
    resetAllAbTestOverride(): void;
    getFeatureFlagDecisions(): List<[Experiment, FeatureFlagDecision]>;
    getFeatureFlagOverrides(): Map<number, number>;
    setFeatureFlagOverride(experiment: Experiment, variationId: number): void;
    resetFeatureFlagOverride(experiment: Experiment): void;
    resetAllFeatureFlagOverride(): void;
    private increment;
}
