export default class CollectionUtil {
    static mapNotNullOrUndefined<T, R>(array: T[], transform: (element: T) => R | null | undefined): Array<R>;
    static mapOrUndefined<T, R>(array: T[], transform: (element: T) => R | null | undefined): Array<R> | undefined;
    static associateTo<T, K, V, M extends Map<K, V>>(array: T[], destination: M, transform: (element: T) => [K, V]): M;
    static associate<T, K, V>(array: T[], transform: (element: T) => [K, V]): Map<K, V>;
    static associateBy<T, K>(receiver: T[], keySelector: (element: T) => K): Map<K, T>;
    static associateRecord<T, K extends keyof any, V>(array: T[], transform: (element: T) => [K, V]): Record<K, V>;
    static chunked<T>(arr: T[], chunkSize: number): T[][];
    static sum<T>(arr: T[], valueResolver: (it: T) => number): number;
}
