export declare class Comparable<K, V = K> {
    private readonly compareFn;
    private data;
    constructor(compareFn: (a: K, b: K) => boolean);
    values(): V[];
    keys(): K[];
    get(key: K): V | undefined;
    has(key: K): boolean;
    add(key: K, value?: V): this;
    delete(key: K): V | undefined;
    forEach(cb: (value: V, key: K) => void): void;
    filter(predicate: (key: K, value: V) => boolean): Comparable<K, V>;
    entries(): [K, V][];
}
