export declare const TIME_UNIT: readonly ["nanoseconds", "microseconds", "milliseconds", "seconds", "minutes", "hours", "days"];
export declare type TimeUnit = typeof TIME_UNIT[number];
export declare class TimeUtil {
    private static C0;
    private static C1;
    private static C2;
    private static C3;
    private static C4;
    private static C5;
    private static C6;
    static converter: Record<TimeUnit, (second: number, unit: TimeUnit) => number>;
    static nanosToUnit(nanos: number, unit: TimeUnit): number;
    static microsToUnit(micros: number, unit: TimeUnit): number;
    static millisToUnit(millis: number, unit: TimeUnit): number;
    static secondsToUnit(seconds: number, unit: TimeUnit): number;
    static minutesToUnit(minutes: number, unit: TimeUnit): number;
    static hoursToUnit(hours: number, unit: TimeUnit): number;
    static daysToUnit(days: number, unit: TimeUnit): number;
}
export interface Clock {
    tick(): number;
    currentMillis(): number;
}
export declare class SystemClock implements Clock {
    static instance: SystemClock;
    tick(): number;
    currentMillis(): number;
}
