import { Properties } from "../../core/internal/model/model";
export interface UtmProperties extends Properties {
    utm_campaign: string | undefined;
    utm_content: string | undefined;
    utm_id: string | undefined;
    utm_medium: string | undefined;
    utm_source: string | undefined;
    utm_term: string | undefined;
}
export interface ClickIdProperties extends Properties {
    gclid: string | undefined;
    fbclid: string | undefined;
}
export interface Campaign extends UtmProperties, ClickIdProperties, Properties {
}
export declare const EMPTY_CAMPAIGN: Campaign;
export interface CampaignDomain {
    current: string | undefined;
    referrer: string | undefined;
}
export declare const EMPTY_DOMAIN: CampaignDomain;
export declare const isEmptyCampaign: (campaign: Campaign) => boolean;
export declare const isSameCampaign: (a: Campaign, b: Campaign) => boolean;
export declare const isNewCampaign: (previousCampaign: Campaign | null, newCampaign: Campaign, domain: CampaignDomain) => boolean;
export declare const setCampaignToUrl: (campaign: Campaign, url: URL) => URL;
