import { Sdk, User } from "../../core/internal/model/model";
import { DevTools } from "../index.browser";
import { Config } from "../../index.browser";
export interface InternalConfig {
    user?: User;
    debug: boolean;
    log_disabled: boolean;
    automaticPageTracking: boolean;
    pollingIntervalMillis: number;
    exposureEventDedupIntervalMillis: number;
    sessionTimeoutMillis: number;
    devTool?: DevTools["manager"];
    autoOpenDevTool?: boolean;
    sdkUrl: string;
    eventUrl: string;
    monitoringUrl: string;
    cdnUrl: string;
    sameSiteCookie: string;
    secureCookie: boolean;
    SDK_NAME_HEADER: string;
    SDK_VERSION_HEADER: string;
    IAM_RENDERER_VERSION_HEADER: string;
}
export declare class Configurations {
    static config: (config?: Config) => InternalConfig;
    private static resolveAutomaticPageTracking;
    static logging: (config: InternalConfig) => void;
    static sdk: (sdkKey: string, config: InternalConfig) => Sdk;
    static isBeaconSupported: () => boolean;
    static pollingIntervalMillis: (config: InternalConfig) => number;
    static dedupIntervalMillis: (config: InternalConfig) => number;
}
