import { EventRetryManager } from "../../../core/internal/event/EventRetryManager";
import { EventDto } from "../../../core/internal/event/dto";
import { EventRepository } from "../../../core/internal/event/EventRepository";
import { EventTransport } from "../../../core/internal/event/EventTransport";
import { Lifecycle } from "../../../core/internal/lifecycle/Lifecycle";
import { LifecycleChangeListener } from "../../../core/internal/lifecycle/LifecycleChangeListener";
export declare class BrowserEventRetryManager implements EventRetryManager, LifecycleChangeListener {
    private readonly repository;
    private readonly transport;
    constructor(repository: EventRepository<EventDto>, transport: EventTransport);
    add(events: EventDto[]): Promise<void>;
    delete(events: EventDto[]): Promise<void>;
    flush(): Promise<void>;
    onLifecycleChanged(lifecycle: Lifecycle, _: number): void;
}
