import { Double, Identifiers, InAppMessage } from "../../../core/internal/model/model";
import { IStorage } from "../../../core/internal/storage/Storage";
/**
 * This interface is serialized and deserialized to JSON.
 * Please be careful of field changes.
 */
export interface InAppMessageImpression {
    identifiers: Identifiers;
    timestamp: Double;
}
export interface InAppMessageImpressionStorage {
    get(inAppMessage: InAppMessage): InAppMessageImpression[];
    set(inAppMessage: InAppMessage, impressions: InAppMessageImpression[]): void;
}
export declare class InAppMessageImpressionLocalStorage implements InAppMessageImpressionStorage {
    private readonly storage;
    constructor(storage: IStorage);
    get(inAppMessage: InAppMessage): InAppMessageImpression[];
    set(inAppMessage: InAppMessage, impressions: InAppMessageImpression[]): void;
}
export declare class NoopInAppMessageImpressionStorage implements InAppMessageImpressionStorage {
    get(inAppMessage: InAppMessage): InAppMessageImpression[];
    set(inAppMessage: InAppMessage, impressions: InAppMessageImpression[]): void;
}
