import { InAppMessagePresentationContext, InAppMessagePresenter } from "../presentation/InAppMessagePresenter";
import { InAppMessageView } from "./view/InAppMessageView";
import { InAppMessageViewFactory } from "./view/InAppMessageViewFactory";
import { InAppMessageEventHandler } from "./event/InAppMessageEventHandler";
import { InAppMessageInteractionHandlerFactory } from "./event/InAppMessageInteractionHandler";
import { HackleInAppMessageListener } from "../../../public/model";
export declare class InAppMessageUi implements InAppMessagePresenter {
    private readonly messageViewFactory;
    readonly eventHandler: InAppMessageEventHandler;
    readonly interactionHandlerFactory: InAppMessageInteractionHandlerFactory;
    inAppMessageListener: HackleInAppMessageListener | null;
    currentMessageView: InAppMessageView | null;
    private opening;
    constructor(messageViewFactory: InAppMessageViewFactory, eventHandler: InAppMessageEventHandler, interactionHandlerFactory: InAppMessageInteractionHandlerFactory, inAppMessageListener?: HackleInAppMessageListener | null);
    setListener(listener: HackleInAppMessageListener | null): void;
    present(context: InAppMessagePresentationContext): Promise<void>;
}
