import { InAppMessageContextActionDto } from "../../../../core/internal/workspace/iam";
/**
 * Corresponds to "HackleInAppMessageInteractionEvent" in the iam-renderer package.
 */
export interface InAppMessageInteraction {
    type: "CLOSE" | "ACTION" | "IMAGE_IMPRESSION";
}
export interface InAppMessageCloseInteraction extends InAppMessageInteraction {
    type: "CLOSE";
}
export interface InAppMessageActionInteraction extends InAppMessageInteraction {
    type: "ACTION";
    action: InAppMessageContextActionDto;
    area: string;
    buttonText?: string;
    imageUrl?: string;
    imageOrder?: number;
}
export interface InAppMessageImageImpressionInteraction extends InAppMessageInteraction {
    type: "IMAGE_IMPRESSION";
    imageUrl: string;
    imageOrder: number;
}
