import { InAppMessageView } from "../view/InAppMessageView";
import { InAppMessageActionInteraction, InAppMessageCloseInteraction, InAppMessageImageImpressionInteraction, InAppMessageInteraction } from "./InAppMessageInteraction";
import { InAppMessageEventHandler } from "./InAppMessageEventHandler";
export interface InAppMessageInteractionHandler<Interaction extends InAppMessageInteraction> {
    supports(interaction: InAppMessageInteraction): boolean;
    handle(view: InAppMessageView, interaction: Interaction): void;
}
export declare class InAppMessageInteractionHandlerFactory {
    private readonly handlers;
    constructor(handlers: InAppMessageInteractionHandler<InAppMessageInteraction>[]);
    get(interaction: InAppMessageInteraction): InAppMessageInteractionHandler<InAppMessageInteraction> | undefined;
}
export declare class InAppMessageCloseInteractionHandler implements InAppMessageInteractionHandler<InAppMessageCloseInteraction> {
    handle(view: InAppMessageView, interaction: InAppMessageCloseInteraction): void;
    supports(interaction: InAppMessageInteraction): boolean;
}
export declare class InAppMessageActionInteractionHandler implements InAppMessageInteractionHandler<InAppMessageActionInteraction> {
    private readonly eventHandler;
    constructor(eventHandler: InAppMessageEventHandler);
    handle(view: InAppMessageView, interaction: InAppMessageActionInteraction): void;
    private eventOrNull;
    supports(interaction: InAppMessageInteraction): boolean;
}
export declare class InAppMessageImageImpressionInteractionHandler implements InAppMessageInteractionHandler<InAppMessageImageImpressionInteraction> {
    private readonly eventHandler;
    constructor(eventHandler: InAppMessageEventHandler);
    handle(view: InAppMessageView, interaction: InAppMessageImageImpressionInteraction): void;
    supports(interaction: InAppMessageInteraction): boolean;
}
