import { InAppMessageUi } from "../InAppMessageUi";
import { InAppMessageRenderScriptLoader } from "../script/InAppMessageRenderScriptLoader";
import { InAppMessageView } from "./InAppMessageView";
import { InAppMessagePresentationContext } from "../../presentation/InAppMessagePresenter";
import InAppMessageRenderTypeResolver from "../internal/InAppMessageRenderTypeResolver";
import { InAppMessageViewStatus } from "./InAppMessageViewStatus";
import { HackleInAppMessageLifecycleRegistry } from "./InAppMessageLifecycleRegistry";
export declare class ScriptInAppMessageView implements InAppMessageView {
    private readonly scriptLoader;
    readonly context: InAppMessagePresentationContext;
    readonly ui: InAppMessageUi;
    private readonly renderTypeResolver;
    readonly status: InAppMessageViewStatus;
    private readonly lifecycleRegistry;
    private static HACKLE_IAM_INTERACTION_EVENT_TYPE;
    private static HACKLE_IAM_LIFECYCLE_START_EVENT_TYPE;
    private static HACKLE_IAM_LIFECYCLE_END_EVENT_TYPE;
    private static CONTAINER_CLASS_NAME;
    private static LIFE_CYCLE_EVENT_LISTEN_TIMEOUT;
    private container;
    private renderer;
    constructor(scriptLoader: InAppMessageRenderScriptLoader, context: InAppMessagePresentationContext, ui: InAppMessageUi, renderTypeResolver: InAppMessageRenderTypeResolver, status: InAppMessageViewStatus, lifecycleRegistry: HackleInAppMessageLifecycleRegistry);
    private resolveLifecycleEnd;
    open(): Promise<void>;
    close(): void;
    private handleInAppMessageLifecycle;
    destroy(): void;
    private addContainer;
    private removeContainer;
    private handleInAppMessageInteraction;
    private handleInteraction;
    private handleEvent;
}
