import { HackleEvent } from "../../index.browser";
import { PropertyOperation } from "./PropertyOperation";
export declare class PropertyOperationsBuilder {
    private operations;
    set(key: string, value: any): PropertyOperationsBuilder;
    setOnce(key: string, value: any): PropertyOperationsBuilder;
    unset(key: string): PropertyOperationsBuilder;
    increment(key: string, value: any): PropertyOperationsBuilder;
    append(key: string, value: any): PropertyOperationsBuilder;
    appendOnce(key: string, value: any): PropertyOperationsBuilder;
    prepend(key: string, value: any): PropertyOperationsBuilder;
    prependOnce(key: string, value: any): PropertyOperationsBuilder;
    remove(key: string, value: any): PropertyOperationsBuilder;
    clearAll(): PropertyOperationsBuilder;
    build(): PropertyOperations;
    private containsKey;
    private add;
}
declare type PropertyOperationsRecord = Map<PropertyOperation, Map<string, any>>;
export declare class PropertyOperations {
    private operations;
    constructor(operations?: PropertyOperationsRecord);
    operate(base: Map<string, any>): Map<string, any>;
    toEvent(): HackleEvent<PropertyOperation>;
    toSecuredEvent(): HackleEvent<PropertyOperation>;
    toRecord(): Record<string, Record<string, any>>;
}
export {};
