export interface PropertyOperator {
    operate(base: Map<string, any>, properties: Map<string, any>): Map<string, any>;
}
export declare class PropertySetOperator implements PropertyOperator {
    operate(base: Map<string, any>, properties: Map<string, any>): Map<string, any>;
}
export declare class PropertySetOnceOperator implements PropertyOperator {
    operate(base: Map<string, any>, properties: Map<string, any>): Map<string, any>;
}
export declare class PropertyUnsetOperator implements PropertyOperator {
    operate(base: Map<string, any>, properties: Map<string, any>): Map<string, any>;
}
export declare class PropertyIncrementOperator implements PropertyOperator {
    operate(base: Map<string, any>, properties: Map<string, any>): Map<string, any>;
    private increment;
}
export declare abstract class ArrayPropertyOperator implements PropertyOperator {
    operate(base: Map<string, any>, properties: Map<string, any>): Map<string, any>;
    private compute;
    private toArray;
    private contains;
    protected prepend(value: any, base: any[], setOnce?: boolean): any[];
    protected append(base: any[], value: any, setOnce?: boolean): any[];
    abstract operateArray(base: any[], values: any[]): any[];
}
export declare class PropertyAppendOperator extends ArrayPropertyOperator {
    operateArray(base: any[], values: any[]): any[];
}
export declare class PropertyAppendOnceOperator extends ArrayPropertyOperator {
    operateArray(base: any[], values: any[]): any[];
    private appendOnce;
}
export declare class PropertyPrependOperator extends ArrayPropertyOperator {
    operateArray(base: any[], values: any[]): any[];
}
export declare class PropertyPrependOnceOperator extends ArrayPropertyOperator {
    operateArray(base: any[], values: any[]): any[];
    private appendOnce;
    private prependOnce;
}
export declare class PropertyRemoveOperator extends ArrayPropertyOperator {
    operateArray(base: any[], values: any[]): any[];
    private remove;
}
export declare class PropertyClearAllOperator implements PropertyOperator {
    operate(base: Map<string, any>, properties: Map<string, any>): Map<string, any>;
}
