declare type Browser = {
    name?: string;
    /**
     * @deprecated
     */
    major?: string;
    version?: string;
};
declare type CPU = {
    architecture?: string;
};
declare type Device = {
    model?: string;
    type?: string;
    vendor?: string;
};
declare type OS = {
    name?: string;
    version?: string;
};
declare type Engine = {
    name?: string;
    version?: string;
};
declare type UAParseResult = {
    browser: Browser;
    cpu: CPU;
    device: Device;
    os: OS;
    engine: Engine;
};
export default class UAParser {
    private static readonly util;
    private static readonly mapper;
    private static readonly maps;
    private static readonly regexes;
    static parse(uaString: string): UAParseResult;
    static getBrowser(uaString: string): Browser;
    static getCPU(uaString: string): CPU;
    static getDevice(uaString: string): Device;
    static getEngine(uaString: string): Engine;
    static getOS(uaString: string): OS;
}
export {};
