import { SessionListener } from "../../../core/internal/session/SessionListener";
import { SessionManager } from "../../../core/internal/session/SessionManager";
import { UserListener } from "../../../core/internal/user/UserListener";
import { User } from "../../../index.browser";
import { IStorage } from "../../../core/internal/storage/Storage";
import { Lifecycle } from "../../../core/internal/lifecycle/Lifecycle";
import { LifecycleChangeListener } from "../../../core/internal/lifecycle/LifecycleChangeListener";
export declare class SessionManagerImpl implements SessionManager, UserListener, LifecycleChangeListener {
    private sessionTimeoutMillis;
    private storage;
    static EMPTY_SESSION_ID: string;
    private sessionListeners;
    private _currentSessionId;
    private _lastEventTime;
    constructor(sessionTimeoutMillis: number, storage: IStorage);
    get currentSessionId(): string | null;
    get sessionId(): string;
    get lastEventTime(): number | null;
    addListener(listener: SessionListener): void;
    startNewSession(previousUser: User | null, user: User, timestamp: number): string;
    startNewSessionIfNeeded(user: User, timestamp: number): string;
    updateLastEventTime(timestamp: number): void;
    private endSession;
    private newSession;
    private saveSession;
    private loadSession;
    private loadLastEventTime;
    onUserUpdated(oldUser: User, newUser: User, timestamp: number): void;
    onLifecycleChanged(lifecycle: Lifecycle, timestamp: number): void;
}
