import { IStorage } from "../../core/internal/storage/Storage";
export interface CookieStorageOptions {
    days?: number;
    isCrossSubdomain?: boolean;
    isSecure?: boolean;
    sameSite?: string;
}
export declare class CookieStorage implements IStorage {
    private options;
    private static storage;
    private static extractDomain;
    private constructor();
    static getInstance: (options?: CookieStorageOptions) => CookieStorage;
    getItem(key: string): string | null;
    getAllItem(options?: {
        keyPrefix?: string;
    }): string[][];
    setItem(key: string, value: string, options?: CookieStorageOptions): string;
    removeItem(key: string, options?: CookieStorageOptions): void;
    getOptions(): CookieStorageOptions;
}
