import Logger from "./core/internal/logger";
import { BrowserHackleClient as HackleClient, DevTools, PageView } from "./hackle/index.browser";
import { getUserId, removeUserId, setUserId } from "./hackle/user/index.browser";
import "core-js/features/promise";
import "core-js/features/array";
import { HackleUserExplorerBase } from "./core/internal/user/UserExplorer";
import { User } from "./core/internal/model/model";
interface Config {
    user?: User;
    debug?: boolean;
    /** @deprecated use automaticPageTracking instead  */
    auto_track_page_view?: boolean;
    automaticPageTracking?: boolean;
    pollingIntervalMillis?: number;
    exposureEventDedupIntervalMillis?: number;
    sessionTimeoutMillis?: number;
    devTool?: DevTools["manager"];
    autoOpenDevTool?: boolean;
    sameSiteCookie?: string;
    secureCookie?: boolean;
    [key: string]: any;
}
declare function createInstance(sdkKey: string, _config?: Config): HackleClient;
export { PropertyOperationsBuilder, PropertyOperations } from "./hackle/property/PropertyOperations";
export { HackleUserExplorerBase };
export { createInstance };
export { getUserId };
export { setUserId };
export { removeUserId };
export { HackleClient };
export { PageView };
export { Logger };
export { Config };
export { EmptyParameterConfig, ParameterConfig } from "./core/internal/config/ParameterConfig";
export { HackleSubscriptionOperationsBuilder, HackleSubscriptionOperations } from "./hackle/subscription/HackleSubscriptionOperations";
export { HackleSubscriptionStatus } from "./hackle/subscription/HackleSubscriptionStatus";
export * from "./core/internal/model/model";
export * from "./public/model";
declare const _default: {
    createInstance: typeof createInstance;
    getUserId: typeof getUserId;
    setUserId: typeof setUserId;
    removeUserId: typeof removeUserId;
    Logger: typeof Logger;
};
export default _default;
